Bug 508666 - S-c-tools cleanup: Should display an activity bar while discovering services
S-c-tools cleanup: Should display an activity bar while discovering services
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks: 493611
  Show dependency treegraph
 
Reported: 2009-06-29 07:57 EDT by Roman Rakus
Modified: 2014-03-26 12:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-26 12:18:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch that adds a progress bar when service status is loading. (1.79 KB, patch)
2009-07-20 07:32 EDT, Radek Novacek
no flags Details | Diff

  None (edit)
Description Roman Rakus 2009-06-29 07:57:21 EDT
Description of problem:
User is not informed what is going on when system-config-services starts. There should be some progress bar.

How reproducible: 

Steps to Reproduce:
1.  Run system-config-services
2. 
3. 

Actual results:
Not sensitive application.

Expected results:
Some progress bar informing user what is going on

Additional info:
This bug report is part of "System Configuration Tools Cleanup Project". Don't
hesitate to ask project maintainers for any kind of help.
Comment 1 Nils Philippsen 2009-06-29 09:26:04 EDT
A progress bar makes only sense if the program already knows how much there is to do. At this point, system-config-services doesn't know how many services there will be (it's only in the process of discovering them), but an activity bar (where the bar would continually move from the left to the right and back until service discovery is finished) and a better description about what's going on would indeed be a good thing to have.
Comment 2 Radek Novacek 2009-07-20 07:32:16 EDT
Created attachment 354326 [details]
Proposed patch that adds a progress bar when service status is loading.

I can't force the progress bar dialog to start centered on the main window but it may be some fault in my computer configuration...
Comment 3 Bug Zapper 2009-11-16 05:32:02 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-11-04 06:55:40 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jaromír Končický 2014-03-26 08:33:42 EDT
In my current version (system-config-services-0.111.1-1.fc20) when I run s-c-s, the window shows up already sensitive and with all services displayed in the list. However it takes some time between executing s-c-s and showing the window.
Was it changed or it just shows up instantly for me?
Comment 7 Nils Philippsen 2014-03-26 12:18:59 EDT
Since s-c-services gets its information from systemd (which already has it readily available) instead of having to discover all services on startup, starting is much quicker. The ~1sec delay until the window appears is negligible and doesn't warrant an activity bar in my opinion.

Note You need to log in before you can comment on or make changes to this bug.